let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/3kwm20w030ipg5whk8aqlzjfbln274r7-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/7a7caq4zf5zq56dr4r9s5gjhhyhh49fp-coreutils-8.29/bin";
  bzip2 = "/nix/store/pp2pf037qcdsdqy4svxax07k0y56jhhy-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/3n5yp8aw7w60zk0cyr7pfyxsn8kvxaj1-gzip-1.9/bin/gzip";
  xz = "/nix/store/k2f6f54asm2syxlci5g5kkym1kna8lls-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/r18qhc7xnxh8f9zd8hfwdwnfphbi8xrb-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/7a7caq4zf5zq56dr4r9s5gjhhyhh49fp-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/7k7ca4ck24yqinbr9nyl5z2wmcx4l81g-nix-2.0.3/bin";
  nixPrefix = "/nix/store/7k7ca4ck24yqinbr9nyl5z2wmcx4l81g-nix-2.0.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/7k7ca4ck24yqinbr9nyl5z2wmcx4l81g-nix-2.0.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
